Subject: bug#33498: 26.1; Unable to delete minibuffer-only+child frames

From: Paul Eggert <[email-masked]>
Date: Wed, 6 Mar 2019 11:07:14 -0800

> I think I fixed this now on master.  Please have a look.

Unfortunately the fix broke builds configured with
--enable-gcc-warnings, as GCC complains about the use of an
uninitialized variable that appears to be a typo in the fix. I installed
the attached patch to unbreak the build; please check it to make sure
that I understood the intent of the fix correctly.

It's a good idea to use './configure --enable-gcc-warnings' when making
changes to the C code in Emacs, as GCC is reasonably good at catching
typos like this, and typically does not generate too many false alarms.

>From 62879cbeae0221033a40d9f66e08673e4975e332 Mon Sep 17 00:00:00 2001
From: Paul Eggert <[email-masked]>
Date: Wed, 6 Mar 2019 11:04:57 -0800
Subject: [PATCH] Fix typo in fix for Bug#33498

* src/frame.c (delete_frame): Fix typo in previous patch,
which caused GCC to complain about the use of an uninitialized
variable.
---
 src/frame.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/frame.c b/src/frame.c
index 3d83dc0a0d..1219569068 100644
--- a/src/frame.c
+++ b/src/frame.c
@@ -2236,7 +2236,7 @@ delete_frame (Lisp_Object frame, Lisp_Object force)
 		     for at least one other frame - so make it visible
 		     and quit.  */
 		  if (!FRAME_VISIBLE_P (f1) && !FRAME_ICONIFIED_P (f1))
-		    Fmake_frame_visible (frame1);
+		    Fmake_frame_visible (minibuffer_child_frame);
 
 		  return Qnil;
 		}
-- 
2.20.1